# macifrename [![builds.sr.ht status](https://builds.sr.ht/~kaniini/macifrename.svg)](https://builds.sr.ht/~kaniini/macifrename?)

`macifrename` is a simple tool which renames NIC names based on
their MAC address.

When run with no arguments, it will reorder the NIC names based
on their MAC address, from lowest to highest.  An example of
where this is useful would be cases where the board wired the
NICs up backwards, so that the secondary NIC is probed before
the primary NIC, or Ubiquiti devices where the NIC labelling
does not match how they are wired on the board at all.

When run with a path to a config file, it will rename the NICs
based on a configured table of NIC names to MAC addresses.  This
is useful for scenarios like:

    # cat /etc/iftab
    lan 802a.a88f.7daa
    # cat /etc/network/interfaces
    auto lan
    iface lan inet dhcp

## why not `ifrename` from `wireless-tools`?

`wireless-tools` includes a similar package, `ifrename`.  But
`ifrename` is not simple to use, you must write a config file
in all cases, and the config file is a rule-based expert system,
which is quite powerful, but also quite complex.  `macifrename`,
on the other hand works in a well-understood way.
